Bug 1309109 - Update to okio-1.6.0
Update to okio-1.6.0
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: okio (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1308853
  Show dependency treegraph
 
Reported: 2016-02-16 16:41 EST by Gerard Ryan
Modified: 2016-02-29 17:23 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.6.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 01:16:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec patch to update to 1.6.0 (1.98 KB, patch)
2016-02-16 16:41 EST, Gerard Ryan
no flags Details | Diff

  None (edit)
Description Gerard Ryan 2016-02-16 16:41:40 EST
Created attachment 1127738 [details]
spec patch to update to 1.6.0

I'm updating okhttp to 2.7.4 for bug #1308853, and it expects okio-1.6.0.

With the attached patch, the package builds locally.

FYI, it adds the new benchmark.jar to the main package though, does that sound normal/optimal? I guess that module could probably be disabled or subpackaged as you wish.
Comment 1 Mikolaj Izdebski 2016-02-17 05:15:03 EST
Fixed in okio-1.6.0-1
Comment 2 Fedora Update System 2016-02-17 11:55:03 EST
okhttp-2.7.4-1.fc23 okio-1.6.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-65b7608d8b
Comment 3 Fedora Update System 2016-02-21 13:00:32 EST
okhttp-2.7.4-1.fc23, okio-1.6.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-65b7608d8b
Comment 4 Jan Kurik 2016-02-24 10:23:07 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Mikolaj Izdebski 2016-02-29 01:16:03 EST
I believe that this bug is fixed in okio-1.6.0-1,
which is available in Fedora 24, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=736501
Comment 6 Fedora Update System 2016-02-29 17:23:33 EST
okhttp-2.7.4-1.fc23, okio-1.6.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.